<?php

if (!defined("GastroData")) {
    die("This file cannot be accessed directly. Sorry.");
};

require_once("Template.class.php");
require_once("Setting.class.php");

// Das Template laden
$tpl = new Template();
$tpl->load("index.tpl");

// Die Sprachdatei laden
$langs[] = "de/lang_main.php";
$lang = $tpl->loadLanguage($langs);

// Platzhalter ersetzen
$title = new Setting("title");
$tpl->assign( "website_title", $title->get("GastroData") );
$tpl->assign( "time",          date("H:i") );

// Zugriff auf eine Sprachvariable
$tpl->assign( "test",          $lang['test'] );

// Und die Seite anzeigen
$tpl->display();